<?php
// Mengatur header CORS
header("Access-Control-Allow-Origin: *");

// Memastikan parameter 'url' disediakan
if (isset($_GET['url'])) {
    $url = $_GET['url'];

    // Validasi URL
    if (filter_var($url, FILTER_VALIDATE_URL) === FALSE) {
        http_response_code(400);
        echo "Invalid URL";
        exit();
    }

    // Mengambil gambar dari URL menggunakan stream
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HEADER, false);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_TIMEOUT, 30); // Timeout yang lebih tinggi jika diperlukan
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
    
    // Mengambil header tipe konten
    curl_setopt($ch, CURLOPT_HEADERFUNCTION, function ($curl, $header) use (&$contentType) {
        $len = strlen($header);
        if (strpos($header, "Content-Type:") === 0) {
            $contentType = trim(substr($header, 14));
        }
        return $len;
    });

    // Mengambil gambar
    $imageData = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    // Memeriksa apakah gambar berhasil diambil
    if ($httpCode == 200) {
        header('Content-Type: ' . $contentType);
        echo $imageData;
    } else {
        http_response_code(404);
        echo "Image not found";
    }
} else {
    http_response_code(400);
    echo "No image URL specified";
}
?>
