<style>
  .navbar {
    transition: transform 0.6s ease-in-out, opacity 0.6s ease-in-out, background-color 0.3s ease-in-out;
    transform: translateY(0);
    opacity: 1;
    background-color: transparent;
  }
  .navbar-scroll {
    background-color: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(8px);
  }
  .navbar-hidden {
    transform: translateY(-100%);
    opacity: 0;
  }
</style>
<nav id="navbar" class="flex justify-between items-center text-white m-auto fixed top-0 left-0 right-0 z-30 transition-all duration-300 h-[75px] px-[3%] lg:pl-[7%] xl:pl-[6.5%] bg-transparent translate-y-0 navbar-scroll h-[40px]">
  <div class="flex items-center gap-8">
    <a class="" href="/"><img alt="logo" fetchpriority="high" width="50" height="50" decoding="async" data-nimg="1" class="w-32 !h-[36px] mt-1" style="color: transparent;" src="<?=$logo?>" /></a>
  </div>
  <div class="flex items-center gap-2">
    <a href="/search" title="Search" class="w-[26px] h-[26px] outline-none lg:hidden flex items-center justify-center">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
        <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 15l6 6m-11-4a7 7 0 110-14 7 7 0 010 14z"></path>
      </svg>
    </a>
    <div></div>
  </div>

</nav>
<script>
  document.addEventListener("DOMContentLoaded", function() {
    let lastScrollTop = 0;
    const navbar = document.getElementById("navbar");
    window.addEventListener("scroll", function () {
      let scrollTop = window.scrollY;
      if (scrollTop > 50) {
        navbar.classList.add("navbar-scroll");
      } else {
        navbar.classList.remove("navbar-scroll");
      }
      if (scrollTop > lastScrollTop && scrollTop > 150) {
        navbar.classList.add("navbar-hidden");
      } else if (scrollTop < lastScrollTop && scrollTop <= 150) {
        navbar.classList.remove("navbar-hidden");
      }
      lastScrollTop = scrollTop;
    });
    if (window.scrollY <= 50) {
      navbar.classList.remove("navbar-scroll");
    }
  });
</script>
<aside class="fixed inset-x-0 bottom-0 w-full h-16 z-[100] bg-black bg-opacity-50 backdrop-blur-md flex justify-between lg:justify-center items-center px-4 lg:px-0 rounded-t-3xl shadow-lg">
  <div class="flex justify-around items-center w-full lg:w-auto">
    <a class="relative transition-all duration-200 group hover:bg-white/20 w-10 h-10 rounded-xl flex items-center justify-center" href="/search">
      <span class="text-white">
        <svg xmlns="http://www.w3.org/2000/svg" class="w-6" fill="none" viewBox="0 0 36 36">
          <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6" d="M16.5 28.5C23.1274 28.5 28.5 23.1274 28.5 16.5C28.5 9.87258 23.1274 4.5 16.5 4.5C9.87258 4.5 4.5 9.87258 4.5 16.5C4.5 23.1274 9.87258 28.5 16.5 28.5Z"></path>
          <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6" d="M31.5001 31.5001L24.9751 24.9751"></path>
        </svg>
      </span>
      <span class="text-xs font-semibold w-20 text-center absolute absolute top-[-1.5rem] left-1/2 transform -translate-x-1/2 -translate-y-full rounded-md px-2 py-1 mt-2 text-white text-sm invisible opacity-0 group-hover:visible group-hover:opacity-100 bg-buttonp z-30">Search</span>
    </a>
    <a class="relative transition-all duration-200 group hover:bg-white/20 w-10 h-10 rounded-xl flex items-center justify-center" href="/">
      <span class="text-white">
        <svg xmlns="http://www.w3.org/2000/svg" class="w-6" viewBox="0 0 24 24"><g fill="currentColor"><path d="M11.47 3.841a.75.75 0 0 1 1.06 0l8.69 8.69a.75.75 0 1 0 1.06-1.061l-8.689-8.69a2.25 2.25 0 0 0-3.182 0l-8.69 8.69a.75.75 0 1 0 1.061 1.06z"></path><path d="m12 5.432 8.159 8.159c.03.03.06.058.091.086v6.198c0 1.035-.84 1.875-1.875 1.875H15a.75.75 0 0 1-.75-.75v-4.5a.75.75 0 0 0-.75-.75h-3a.75.75 0 0 0-.75.75V21a.75.75 0 0 1-.75.75H5.625a1.875 1.875 0 0 1-1.875-1.875v-6.198a2.29 2.29 0 0 0 .091-.086z"></path></g></svg>
      </span>
      <span class="text-xs font-semibold w-20 text-center absolute absolute top-[-1.5rem] left-1/2 transform -translate-x-1/2 -translate-y-full rounded-md px-2 py-1 mt-2 text-white text-sm invisible opacity-0 group-hover:visible group-hover:opacity-100 bg-buttonp z-30">Home</span>
    </a>
    <a class="relative transition-all duration-200 group hover:bg-white/20 w-10 h-10 rounded-xl flex items-center justify-center" href="/catalog">
      <span class="text-white">
        <svg class="w-6" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10 0C4.48 0 0 4.48 0 10C0 15.52 4.48 20 10 20C15.52 20 20 15.52 20 10C20 4.48 15.52 0 10 0ZM10 18C5.59 18 2 14.41 2 10C2 5.59 5.59 2 10 2C14.41 2 18 5.59 18 10C18 14.41 14.41 18 10 18ZM5.65317 13.0185C5.26027 13.864 6.13598 14.7397 6.98146 14.3468L11.3472 12.318C11.7752 12.1191 12.1191 11.7752 12.318 11.3472L14.3468 6.98146C14.7397 6.13599 13.864 5.26026 13.0185 5.65317L8.65283 7.68197C8.22479 7.88089 7.88089 8.22479 7.68197 8.65283L5.65317 13.0185ZM10 8.9C10.61 8.9 11.1 9.39 11.1 10C11.1 10.61 10.61 11.1 10 11.1C9.39 11.1 8.9 10.61 8.9 10C8.9 9.39 9.39 8.9 10 8.9Z" fill="currentColor"></path></svg>
      </span>
      <span class="text-xs font-semibold w-20 text-center absolute absolute top-[-1.5rem] left-1/2 transform -translate-x-1/2 -translate-y-full rounded-md px-2 py-1 mt-2 text-white text-sm invisible opacity-0 group-hover:visible group-hover:opacity-100 bg-buttonp z-30">Katalog</span>
    </a>
  </div>
</aside>