<?php
$category = $_GET['kategori'] ?? 'anime'; // default to 'anime' if not set
$query = $_GET['s'] ?? '';
$page = (int)($_GET['page'] ?? 1);

$results = [];
$totalPages = 0;
$error_message = '';
$no_query_message = '';
$no_results_message = '';

if (empty($query)) {
  $no_query_message = 'Masukkan judul di kolom search.';
} else {
  $api_url = ($category === 'komik')
  ? "$api/api/komik/cari/" . urlencode($query) . "/$page"
  : "$api/api/anime/cari/" . urlencode($query) . "/$page";

  $response = @file_get_contents($api_url);

  if ($response === false) {
    $error_message = 'Error fetch API.';
  } else {
    $data = json_decode($response, true);
    $status = $data['status'] ?? false;

    if ($status) {
      // Data to display
      $results = $category === 'komik' ? $data['data']['results'] : $data['data']['result'];
      $totalPages = $data['data']['totalPages'];

      if (empty($results)) {
        $no_results_message = 'Judul tidak ditemukan.';
      }
    } else {
      $error_message = 'Error fetching data from API.';
    }
  }
}
// Pagination logic
$range = 1; // Ubah jumlah halaman yang ditampilkan menjadi 3 (1 di kiri, 1 di kanan)
$pagination_html = '';

// Add the first page link if current page is greater than 3
if ($page > 3) {
  $pagination_html .= '<li>
        <a href="?page=1&s=' . urlencode($query) . '&kategori=' . urlencode($category) . '" role="button" tabindex="0" aria-label="pagination item 1" data-slot="item" class="tap-highlight-transparent select-none touch-none data-[pressed=true]:scale-[0.97] transition-transform-background flex flex-wrap truncate box-border items-center justify-center text-default-foreground outline-none data-[focus-visible=true]:z-10 data-[focus-visible=true]:outline-2 data-[focus-visible=true]:outline-focus data-[focus-visible=true]:outline-offset-2 data-[disabled=true]:text-default-300 data-[disabled=true]:pointer-events-none shadow-sm bg-default-100 [&amp;[data-hover=true]:not([data-active=true])]:bg-default-200 active:bg-default-300 min-w-9 w-9 h-9 text-small rounded-medium">1</a>
    </li>';
}

// Add the dots element before the current page
if ($page > $range + 2) {
  $pagination_html .= '<li>
        <a href="?page=' . ($page - $range - 1) . '&s=' . urlencode($query) . '&kategori=' . urlencode($category) . '" role="button" tabindex="0" aria-label="dots element" data-slot="item" class="tap-highlight-transparent select-none touch-none data-[pressed=true]:scale-[0.97] transition-transform-background flex flex-wrap truncate box-border items-center justify-center text-default-foreground outline-none data-[focus-visible=true]:z-10 data-[focus-visible=true]:outline-2 data-[focus-visible=true]:outline-focus data-[focus-visible=true]:outline-offset-2 data-[disabled=true]:text-default-300 data-[disabled=true]:pointer-events-none shadow-sm bg-default-100 [&amp;[data-hover=true]:not([data-active=true])]:bg-default-200 active:bg-default-300 min-w-9 w-9 h-9 text-small rounded-medium group">
            <svg aria-hidden="true" fill="none" height="1em" shape-rendering="geometricPrecision" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" viewBox="0 0 24 24" width="1em" class="group-hover:hidden group-data-[focus-visible=true]:hidden">
                <circle cx="12" cy="12" fill="currentColor" r="1"></circle>
                <circle cx="19" cy="12" fill="currentColor" r="1"></circle>
                <circle cx="5" cy="12" fill="currentColor" r="1"></circle>
            </svg>
            <svg aria-hidden="true" fill="none" focusable="false" height="1em" role="presentation" shape-rendering="geometricPrecision" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" viewBox="0 0 24 24" width="1em" class="hidden group-hover:block group-data-[focus-visible=true]:block data-[before=true]:rotate-180" data-before="true">
                <path d="M13 17l5-5-5-5"></path>
                <path d="M6 17l5-5-5-5"></path>
            </svg>
        </a>
    </li>';
}

// Add page links around the current page
for ($i = max(1, $page - $range); $i <= min($totalPages, $page + $range); $i++) {
  if ($i == $page) {
    $pagination_html .= '<li role="button" tabindex="0" aria-label="pagination item ' . $i . ' active" data-slot="item" class="tap-highlight-transparent select-none touch-none data-[pressed=true]:scale-[0.97] transition-transform-background flex flex-wrap truncate box-border items-center justify-center text-default-foreground outline-none data-[focus-visible=true]:z-10 data-[focus-visible=true]:outline-2 data-[focus-visible=true]:outline-focus data-[focus-visible=true]:outline-offset-2 data-[disabled=true]:text-default-300 data-[disabled=true]:pointer-events-none shadow-sm bg-blue-500 text-white min-w-9 w-9 h-9 text-small rounded-medium" style="user-select: none;" aria-current="true" data-active="true">' . $i . '</li>';
  } else {
    $pagination_html .= '<li>
            <a href="?page=' . $i . '&s=' . urlencode($query) . '&kategori=' . urlencode($category) . '" role="button" tabindex="0" aria-label="pagination item ' . $i . '" data-slot="item" class="tap-highlight-transparent select-none touch-none data-[pressed=true]:scale-[0.97] transition-transform-background flex flex-wrap truncate box-border items-center justify-center text-default-foreground outline-none data-[focus-visible=true]:z-10 data-[focus-visible=true]:outline-2 data-[focus-visible=true]:outline-focus data-[focus-visible=true]:outline-offset-2 data-[disabled=true]:text-default-300 data-[disabled=true]:pointer-events-none shadow-sm bg-default-100 [&amp;[data-hover=true]:not([data-active=true])]:bg-default-200 active:bg-default-300 min-w-9 w-9 h-9 text-small rounded-medium">' . $i . '</a>
        </li>';
  }
}

// Add the dots element after the current page
if ($page < $totalPages - $range - 1) {
  $pagination_html .= '<li>
        <a href="?page=' . ($page + $range + 1) . '&s=' . urlencode($query) . '&kategori=' . urlencode($category) . '" role="button" tabindex="0" aria-label="dots element" data-slot="item" class="tap-highlight-transparent select-none touch-none data-[pressed=true]:scale-[0.97] transition-transform-background flex flex-wrap truncate box-border items-center justify-center text-default-foreground outline-none data-[focus-visible=true]:z-10 data-[focus-visible=true]:outline-2 data-[focus-visible=true]:outline-focus data-[focus-visible=true]:outline-offset-2 data-[disabled=true]:text-default-300 data-[disabled=true]:pointer-events-none shadow-sm bg-default-100 [&amp;[data-hover=true]:not([data-active=true])]:bg-default-200 active:bg-default-300 min-w-9 w-9 h-9 text-small rounded-medium group">
            <svg
                    aria-hidden="true"
                    fill="none"
                    height="1em"
                    shape-rendering="geometricPrecision"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="1.5"
                    viewBox="0 0 24 24"
                    width="1em"
                    class="group-hover:hidden group-data-[focus-visible=true]:hidden"
                >
                    <circle cx="12" cy="12" fill="currentColor" r="1"></circle>
                    <circle cx="19" cy="12" fill="currentColor" r="1"></circle>
                    <circle cx="5" cy="12" fill="currentColor" r="1"></circle>
                </svg>
                <svg
                    aria-hidden="true"
                    fill="none"
                    focusable="false"
                    height="1em"
                    role="presentation"
                    shape-rendering="geometricPrecision"
                    stroke="currentColor"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    stroke-width="1.5"
                    viewBox="0 0 24 24"
                    width="1em"
                    class="hidden group-hover:block group-data-[focus-visible=true]:block data-[before=true]:rotate-180"
                >
                    <path d="M13 17l5-5-5-5"></path>
                    <path d="M6 17l5-5-5-5"></path>
                </svg>
        </a>
    </li>';
}
// Add the last page link if current page is less than the last page - 1
if ($page < $totalPages - 1) {
  $pagination_html .= '<li>
        <a href="?page=' . $totalPages . '&s=' . urlencode($query) . '&kategori=' . urlencode($category) . '" role="button" tabindex="0" aria-label="pagination item ' . $totalPages . '" data-slot="item" class="tap-highlight-transparent select-none touch-none data-[pressed=true]:scale-[0.97] transition-transform-background flex flex-wrap truncate box-border items-center justify-center text-default-foreground outline-none data-[focus-visible=true]:z-10 data-[focus-visible=true]:outline-2 data-[focus-visible=true]:outline-focus data-[focus-visible=true]:outline-offset-2 data-[disabled=true]:text-default-300 data-[disabled=true]:pointer-events-none shadow-sm bg-default-100 [&amp;[data-hover=true]:not([data-active=true])]:bg-default-200 active:bg-default-300 min-w-9 w-9 h-9 text-small   active:bg-default-300 min-w-9 w-9 h-9 text-small rounded-medium">' . $totalPages . '</a>
  </li>';
}
?>

<html lang="en" class="dark text-foreground bg-background" style="">
<head>
  <link rel="apple-touch-icon" sizes="1280x720" href="/maxresdefault.png" />
  <link rel="icon" type="image/png" sizes="1280x720" href="/maxresdefault1.png" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta charset="utf-8" />
  <title><?=$site_TITLE ?> - Search</title>
  <meta name="description" content="Streaming Anime Tanpa tepung💀💀 Kominfo Kontul." />
  <meta name="application-name" content="<?=$site_TITLE ?>" />
  <link rel="canonical" href="<?=$siteURL ?>/search" />
  <link rel="manifest" href="/manifest.json" />
  <meta name="keywords" content="cari komik, cari anime, streaming anime, baca komik online, download komik, download anime, Otakudesu, Samehadaku, Mangatoon, Komiku, Mangaku, Neonime, Bilibili Comics, Kiryuu, Mangadex, ManhwaIndo, komik terbaru, anime terbaru, komik populer, anime populer, komik romance, anime romance, komik action, anime action, komik fantasi, anime fantasi, manga online, anime sub Indo, komik sub Indo">
  <meta name="format-detection" content="telephone=no" />
  <meta name="apple-mobile-web-app-capable" content="yes" />
  <meta name="apple-mobile-web-app-title" content="<?=$site_TITLE ?> - Nonton anime, baca komik Indonesia" />
  <meta name="apple-mobile-web-app-status-bar-style" content="default" />
  <meta property="og:title" content="<?=$site_TITLE ?> - Nonton anime, baca komik Indonesia" />
  <meta property="og:url" content="<?=$siteURL ?>/search" />
  <meta property="og:description" content="Streaming Anime Tanpa tepung💀💀 Kominfo Kontul." />
  <meta name="twitter:card" content="summary" />
  <meta name="twitter:title" content="<?=$site_TITLE ?> - Search" />
  <meta name="twitter:description" content="Streaming Anime Tanpa tepung💀💀 Kominfo Kontul." />
  <meta name="next-size-adjust" />
  <link rel="stylesheet" href="<?=$siteURL ?>/assets/css/cihuy.css" />
  <link rel="stylesheet" href="<?=$siteURL ?>/assets/css/cihuy2.css" />
  <link rel="stylesheet" href="<?=$siteURL ?>/assets/css/cihuy3.css" />
  <link rel="stylesheet" href="<?=$siteURL ?>/assets/css/cihuy4.css" />
  <link rel="stylesheet" href="<?=$siteURL ?>/assets/c/aebbf082b61ac886.css" />
  <link rel="stylesheet" href="<?=$siteURL ?>/assets/c/0b572d6e2e0adf96.css" />
  <link rel="stylesheet" href="<?=$siteURL ?>/assets/c/49495fe8f0650e2c.css" />
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="__className_aaf875">
  <div data-overlay-container="true">
    <div style="opacity: 1; transform: none;">
      <div>
        <?php include('inc/navbar.php'); ?>
        <div class="max-w-[94%] xl:max-w-[88%] mx-auto mt-[70px]">
          <div>
            <div class="Catalog_catalogtop__swImz">

              <div class="relative w-full">
                <div class="Catalog_searchmobil__1LFTa relative">
                  <div class="Catalog_search__gzQB4 w-full">
                    <h3 class="Catalog_searchlabel__XZQTR">Search</h3>
                    <div class="group flex flex-col w-full relative">
                      <div class="relative w-full inline-flex items-center px-3 gap-3 bg-default-100 shadow-sm h-unit-10 min-h-unit-10 rounded-medium">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5 text-2xl text-default-400">
                          <path stroke-linecap="round" stroke-linejoin="round" d="m21 21-5.197-5.197m0 0A7.5 7.5 0 1 0 5.196 5.196a7.5 7.5 0 0 0 10.607 10.607Z"></path>
                        </svg>
                        <input
                        id="searchInput"
                        class="w-full bg-transparent outline-none placeholder:text-foreground-500 text-small"
                        aria-label="Search"
                        autocomplete="off"
                        placeholder="Masukkan judul, pilih anime/manga di titik 3"
                        type="text"
                        name="s"
                        value=""
                        />
                      </div>
                    </div>
                  </div>

                  <button id="dropdownTrigger" class="flex items-end cursor-pointer mt-2">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 mb-2">
                      <path stroke-linecap="round" stroke-linejoin="round" d="M8.25 6.75h12M8.25 12h12m-12 5.25h12M3.75 6.75h.007v.008H3.75V6.75Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0ZM3.75 12h.007v.008H3.75V12Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm-.375 5.25h.007v.008H3.75v-.008Zm.375 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Z"></path>
                    </svg>
                  </button>

                  <!-- Dropdown -->
                  <div id="dropdownMenu" class="hidden absolute right-0 bg-zinc-800 text-white rounded-lg mt-2 w-32 z-50">
                    <ul class="py-2 text-sm">
                      <li>
                        <button data-value="anime" class="block px-4 py-2 w-full text-left hover:bg-zinc-700 flex items-center">
                          Anime
                          <span id="anime-check" class="ml-2 hidden">&#10003;</span>
                        </button>
                      </li>
                      <li>
                        <button data-value="komik" class="block px-4 py-2 w-full text-left hover:bg-zinc-700 flex items-center">
                          Komik
                          <span id="komik-check" class="ml-2 hidden">&#10003;</span>
                        </button>
                      </li>
                    </ul>
                  </div>
                  <input type="hidden" id="selectedCategory" value="anime" />
                </div>
              </div>
            </div>




            <?php if ($error_message): ?>
            <div class="text-center w-[100%] h-[100%] font-semibold text-2xl">
              <p>
                Oops!
              </p>
              <p>
                <?php echo htmlspecialchars($error_message); ?>
              </p>
              <button onclick="window.location.reload();" class="text-blue-500 underline">Reload page</button>
            </div>
            <?php elseif ($no_query_message): ?>
            <div class="text-center w-[100%] h-[100%] font-semibold text-2xl">
              <p>
                Oops!
              </p>
              <?php echo htmlspecialchars($no_query_message); ?>
            </div>
            <?php elseif ($no_results_message): ?>
            <div class="text-center w-[100%] h-[100%] font-semibold text-2xl">
              <p>
                Oops!
              </p>
              <?php echo htmlspecialchars($no_results_message); ?>
            </div>
            <?php else : ?>
            <?php endif; ?>
            <div class="Catalog_catalogbottom__hrUKm">
              <div class="Catalog_catalogright__isXms">
                <div class="Catalog_searchcard__HRQ9N">
                  <div class="Catalog_cardtop__9aNdB">
                    <?php foreach ($results as $item): ?>
                    <a href="<?=$siteURL?><?=$item['link']; ?>">
                      <div class="Catalog_carditem__2T1MX">
                        <div class="Catalog_cardimgcontainer__L4MrJ">
                          <img
                          alt="<?=$item['title'] ?? $item['judul']; ?>"
                          loading="lazy"
                          width="155"
                          height="230"
                          decoding="async"
                          data-nimg="1"
                          class="Catalog_cardimage__5C4qi"
                          src="/proxy.php?img=<?=$item['gambar']; ?>"
                          style="color: transparent;"
                          />
                        </div>
                        <span class="Catalog_cardtitle__Mi1b2">
                          <span class="aspect-square w-2 h-2 inline-block mr-1 rounded-full hidden xl:hidden"></span><?=$item['title'] ?? $item['judul']; ?>
                        </span>
                      </div>
                    </a>
                    <?php endforeach; ?>
                  </div>

                  <div class="Catalog_cardbottom__7KGY6">
                    <nav role="navigation" aria-label="pagination navigation" data-slot="base" data-dots-jump="5" data-total="250" data-active-page="5" class="p-2.5 -m-2.5 overflow-x-scroll scrollbar-hide">
                      <ul data-slot="wrapper" class="flex flex-nowrap h-fit max-w-fit relative gap-1 items-center overflow-visible rounded-medium">
                        <!-- PHP Pagination Logic Output -->
                        <?=$pagination_html ?>

                      </ul>
                    </nav>
                  </div>


                  <!-- Pagination HTML -->


                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div>
    <?php include('inc/footer.php'); ?>
  </div>
</body>

<script>
  const dropdownTrigger = document.getElementById('dropdownTrigger');
  const dropdownMenu = document.getElementById('dropdownMenu');
  const categoryInput = document.getElementById('selectedCategory');
  const searchInput = document.getElementById('searchInput');
  const animeCheck = document.getElementById('anime-check');
  const komikCheck = document.getElementById('komik-check');

  // Load selected category from localStorage
  const savedCategory = localStorage.getItem('selectedCategory');
  if (savedCategory) {
    categoryInput.value = savedCategory;
    updateDropdownLabel(savedCategory);
  }

  // Toggle dropdown menu visibility
  dropdownTrigger.addEventListener('click', () => {
    dropdownMenu.classList.toggle('hidden');
  });

  // Set selected category and update the hidden input value
  dropdownMenu.querySelectorAll('button').forEach(button => {
    button.addEventListener('click', (e) => {
      const selectedValue = e.target.dataset.value;
      categoryInput.value = selectedValue;
      localStorage.setItem('selectedCategory', selectedValue);
      updateDropdownLabel(selectedValue);
      dropdownMenu.classList.add('hidden');
    });
  });

  // Handle search form submission
  searchInput.addEventListener('keydown', (e) => {
    if (e.key === 'Enter') {
      e.preventDefault();
      const searchQuery = searchInput.value.trim();
      const category = categoryInput.value;
      if (searchQuery) {
        window.location.href = `/search?s=${encodeURIComponent(searchQuery)}&kategori=${category}`;
      }
    }
  });

  // Update dropdown label with a checkmark for selected category
  function updateDropdownLabel(selectedValue) {
    dropdownMenu.querySelectorAll('button').forEach(button => {
      if (button.dataset.value === selectedValue) {
        button.querySelector('span').classList.remove('hidden');
      } else {
        button.querySelector('span').classList.add('hidden');
      }
    });
  }

  // Hide dropdown when clicking outside
  document.addEventListener('click', (e) => {
    if (!dropdownTrigger.contains(e.target) && !dropdownMenu.contains(e.target)) {
      dropdownMenu.classList.add('hidden');
    }
  });
</script>
</html>