<?php
// Cek apakah parameter 'img' ada di URL
if (isset($_GET['img'])) {
    // Bersihkan input untuk keamanan
    $imgUrl = filter_var($_GET['img'], FILTER_SANITIZE_URL);

    // Validasi bahwa URL benar
    if (filter_var($imgUrl, FILTER_VALIDATE_URL)) {
        // Cek apakah URL mengandung 'wp.com'
        if (strpos($imgUrl, 'wp.com') !== false) {
            // Redirect langsung ke gambar di wp.com
            header('Location: ' . $imgUrl);
            exit;
        } else {
            // Inisialisasi cURL untuk mengambil gambar
            $ch = curl_init($imgUrl);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
            curl_setopt($ch, CURLOPT_HEADER, 0);

            // Eksekusi cURL
            $imageData = curl_exec($ch);
            curl_close($ch);

            if ($imageData === false) {
                echo 'Gagal mengambil gambar.';
                exit;
            }

            // Deteksi jenis MIME untuk gambar (JPEG, PNG, dll.)
            $finfo = new finfo(FILEINFO_MIME_TYPE);
            $mimeType = $finfo->buffer($imageData);

            // Kirim header konten yang sesuai untuk gambar
            header('Content-Type: ' . $mimeType);

            // Output gambar ke browser
            echo $imageData;
        }
    } else {
        echo 'URL gambar tidak valid.';
    }
} else {
    echo 'Parameter "img" tidak ada.';
}
?>
